import solid from 'eslint-plugin-solid/configs/typescript';
import * as tsParser from '@typescript-eslint/parser';
import { config as baseConfig } from './base.js';

/**
 * A custom ESLint configuration for libraries that use Solid.
 *
 * @type {import("eslint").Linter.Config[]} */
export const config = [
  ...baseConfig,
  {
    files: ['**/*.{ts,tsx}'],
    ...solid,
    ignores: ['turbo/generators/**', 'vite.config.ts'],
    languageOptions: {
      parser: tsParser,
      parserOptions: {
        project: 'tsconfig.json',
      },
      globals: {
        window: true,
        console: true,
      },
    },
  },
];
